Get document dashboard
Get document dashboard. See the OpenAPI-defined parameters, request body, and responses below.
GET
/Document/dashboardGet document dashboard. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint retorna informações resumidas e estatísticas dos documentos para exibição em dashboard. Permite filtrar por período (createdAtStart e createdAtEnd).
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
CreatedAtStart | query | string · date-time | No | — | — |
CreatedAtEnd | query | string · date-time | No | — | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/Document/dashboard?CreatedAtStart={CreatedAtStart}&CreatedAtEnd={CreatedAtEnd}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Sucesso ao retornar o dashboard | application/json · DocumentDashboardDto |
Example response (200):
{
"total": 0,
"new": 0,
"inProgress": 0,
"approved": 0,
"rejected": 0,
"completed": 0,
"cancelled": 0,
"quantityPagesProcessed": 0,
"successRate": 0,
"dailyExecutions": [
{
"date": "string",
"total": 0,
"new": 0,
"inProgress": 0,
"approved": 0,
"rejected": 0,
"completed": 0,
"cancelled": 0
}
]
}
Data models
DocumentDailyCountDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
date | string | No | — | nullable |
total | integer · int32 | No | — | — |
new | integer · int32 | No | — | — |
inProgress | integer · int32 | No | — | — |
approved | integer · int32 | No | — | — |
rejected | integer · int32 | No | — | — |
completed | integer · int32 | No | — | — |
cancelled | integer · int32 | No | — | — |
DocumentDashboardDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
total | integer · int32 | No | — | — |
new | integer · int32 | No | — | — |
inProgress | integer · int32 | No | — | — |
approved | integer · int32 | No | — | — |
rejected | integer · int32 | No | — | — |
completed | integer · int32 | No | — | — |
cancelled | integer · int32 | No | — | — |
quantityPagesProcessed | integer · int32 | No | — | — |
successRate | number · double | No | — | — |
dailyExecutions | array<DocumentDailyCountDto> | No | — | nullable |